from guichet.models import UserManager, GroupManager


def doc_available(user):
    if not user.is_authenticated:
        return False

    is_user_manager = UserManager.objects.filter(user=user).exists()
    is_group_manager = GroupManager.objects.filter(group__in=user.groupes.all(), bureau_only=False).exists()
    is_bureau_manager = GroupManager.objects.filter(group__in=user.managed_clubs.all(), bureau_only=True).exists()

    return any(
        [user.is_superuser, user.has_perm("guichet.add_event"), is_user_manager, is_group_manager, is_bureau_manager]
    )
